Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.remoting.detection.jndi
Interface JNDIDetectorMBean

All Superinterfaces:
  AbstractDetectorMBean, Detector, javax.management.MBeanRegistration

All Known Implementing Classes:
  JNDIDetector

    public interface JNDIDetectorMBean

extends AbstractDetectorMBean

JNDIDetectorMBean

Version:
  $Revision: 566 $
Author:
  Tom Elrod

Method Summary
`int` | `getCleanDetectionNumber()`
`java.lang.String` | `getContextFactory()`
`java.lang.String` | `getHost()`
`int` | `getPort()`
`java.lang.String` | `getURLPackage()`
`void` | `setCleanDetectionNumber(int cleanDetectionNumber)`
`void` | `setContextFactory(java.lang.String contextFactory)`
`void` | `setHost(java.lang.String host)`
`void` | `setPort(int port)`
`void` | `setURLPackage(java.lang.String urlPackage)`

Methods inherited from interface org.jboss.remoting.detection.AbstractDetectorMBean
`getConfiguration, getDefaultTimeDelay, getHeartbeatTimeDelay, setConfiguration, setDefaultTimeDelay, setHeartbeatTimeDelay`

Methods inherited from interface org.jboss.remoting.detection.Detector
`start, stop`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Method Detail

### getPort

    int getPort()

### setPort

    void setPort(int port)

### getHost

    java.lang.String getHost()

### setHost

    void setHost(java.lang.String host)

### getContextFactory

    java.lang.String getContextFactory()

### setContextFactory

    void setContextFactory(java.lang.String contextFactory)

### getURLPackage

    java.lang.String getURLPackage()

### setURLPackage

    void setURLPackage(java.lang.String urlPackage)

### getCleanDetectionNumber

    int getCleanDetectionNumber()

### setCleanDetectionNumber

    void setCleanDetectionNumber(int cleanDetectionNumber)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 1998-2005 JBoss Inc . All Rights Reserved.